### A free/open-source library for quantitative finance

Public Member Functions
YoYInflationCollar Class Reference
Financial instruments

Concrete YoY Inflation collar class. More...

`#include <ql/instruments/inflationcapfloor.hpp>`

Inheritance diagram for YoYInflationCollar:
[legend]

List of all members.

## Public Member Functions

| YoYInflationCollar (const Leg &yoyLeg, const std::vector< Rate > &capRates, const std::vector< Rate > &floorRates)

## Detailed Description

Concrete YoY Inflation collar class.